Howdy, Stranger!

It looks like you're new here. If you want to get involved, click one of these buttons!

Background Mask Issue in Block Attribute

There is undesired masking of line work by block attributes as shown in the attachment.
Is there a way to adjust the length or remove the background mask in block attributes altogether?

Thanks,
Clint

pdf
pdf
BricsCAD 2019-08-15_6-16-35 - Background Mask Issue in Block Attribute.pdf
16K

Comments

  • A mask can be set for multi-line (mtext) attributes, using the mtext editor. The mask should automatically adjust to the bounding box of the text, and this works fine in my V19 on linux. However, using the mtext editor to remove such a mask does not work (clicking on the mask button closes the dialog), which certainly is a bug.

    To remove a mask, you could use the following code snippet as a workaround (just copypaste into the text window, and type "unmask" to invoke it):

    (defun C:unmask ( / attrib attdat)
     (if
      (and
       (setq attrib (car (nentsel)))
       (setq attdat (entget attrib))
       (= "ATTRIB" (cdr (assoc 0 attdat)))
      )
      (progn
       (setq attdat (subst (cons 90 0) (assoc 90 attdat) attdat))
       (entmod attdat)
      )
      (prompt "not an attribute")
     )
     (princ)
    )

    If this has no effect on your attribute, check if your block definition does not include wipeouts...
  • Knut,

    I thank you for your thorough explanation and especially for the code offered.

Sign In or Register to comment.
Origami
Origami is the Japanese word for paper folding. ORI means to fold and KAMI means paper and involves the creation of paper forms usually entirely by folding.

Powered by VanillaForums, Designed by Steam